- libbson 1.13.1 »
- API Reference »
- bson_iter_t

# bson_iter_key()

## Synopsis

    const char *
    bson_iter_key (const bson_iter_t *iter);

## Parameters

- `iter`: A bson_iter_t.

## Description

Fetches the key for the current element observed by `iter`.

## See Also

bson_iter_key_len() to retrieve the length of the key in constant time.

## Returns

A string which should not be modified or freed.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.